|  | Home | Documentation | wsdd__ByeType Struct Reference updated Thu Mar 21 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wsdd__ByeType Struct Reference

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ByeType is a complexType. More...

`#include <wsdd.h>`

Collaboration diagram for wsdd__ByeType:
[legend]

## Public Attributes
_wsa5__EndpointReference | wsa5__EndpointReference
| Imported element reference "http://www.w3.org/2005/08/addressing":EndpointReference. More...
wsdd__QNameListType | Types
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Types. More...
struct wsdd__ScopesType * | Scopes
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Scopes. More...
wsdd__UriListType | XAddrs
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":XAddrs. More...
unsigned int * | MetadataVersion
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":MetadataVersion. More...

## Detailed Description

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ByeType is a complexType.

struct wsdd__ByeType operations:

- wsdd__ByeType* soap_new_wsdd__ByeType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wsdd__ByeType(struct soap*, wsdd__ByeType*) default initialize members
- int soap_read_wsdd__ByeType(struct soap*, wsdd__ByeType*) deserialize from a source
- int soap_write_wsdd__ByeType(struct soap*, wsdd__ByeType*) serialize to a sink
- wsdd__ByeType* soap_dup_wsdd__ByeType(struct soap*, wsdd__ByeType* dst, wsdd__ByeType <em>src) returns deep copy of wsdd__ByeType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wsdd__ByeType(wsdd__ByeType) deep deletes wsdd__ByeType data members, use only on dst after soap_dup_wsdd__ByeType(NULL, wsdd__ByeType *dst, wsdd__ByeType *src) (use soapcpp2 -Ed)

## Member Data Documentation

unsigned int* wsdd__ByeType::MetadataVersion

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":MetadataVersion.

Optional element.

struct wsdd__ScopesType* wsdd__ByeType::Scopes

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Scopes.

Optional element.

wsdd__QNameListType wsdd__ByeType::Types

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Types.

Optional element.

_wsa5__EndpointReference wsdd__ByeType::wsa5__EndpointReference

Imported element reference "http://www.w3.org/2005/08/addressing":EndpointReference.

Required element.

wsdd__UriListType wsdd__ByeType::XAddrs

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":XAddrs.

Optional element.

The documentation for this struct was generated from the following file:

- wsdd.h